Create provider network
Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )
Create physical underlay network definition with CIDR, Gateway, VLAN IDs.
Authorization
bearerAuth Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
Region identifier
Project identifier
Request Body
application/json
Name of the resource. Must be 1-63 characters long and match the pattern a-z? — the first character must be a lowercase letter, and all following characters must be lowercase letters, digits, or hyphens, with the last character being a letter or digit. If not specified, the server will generate a name.
^[a-z]([-a-z0-9]*[a-z0-9])?$1 <= length <= 63Optional human-friendly display name for the network.
An optional description of this resource.
CIDR block for the network.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/networks" \ -H "Content-Type: application/json" \ -d '{ "cidr": "string" }'{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/networks/network-g7h8i9",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "network-g7h8i9",
"displayName": "string",
"description": "string",
"cidr": "string",
"subnets": [
{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/subnets/subnet-a1b2c3",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "subnet-a1b2c3",
"displayName": "string",
"description": "string",
"network": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/networks/default",
"ipv4Cidr": "10.0.1.0/24",
"ipv6Cidr": "fd00:1::/64",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?